local mod = ...



-- Assets -------------------------------------------------------------------------------------
mod:registerAssetId("models/EmptyHouse1.fbx/Prefab/Level1Part", "PREFAB_EMPTY_HOUSE_LEVEL1")
mod:registerAssetId("models/EmptyHouse1.fbx/Prefab/Level2Part", "PREFAB_EMPTY_HOUSE_LEVEL2")
mod:registerAssetId("models/EmptyHouse1.fbx/Prefab/UniversalPart", "PREFAB_EMPTY_HOUSE_UNIVERSAL")

mod:registerAssetProcessor("models/EmptyHouse1.fbx", { DataType = "BUILDING_ASSET_PROCESSOR" })



-- Resource: Universal Housing -------------------------------------------------------------------------------------
mod:registerAssetId("icons/Dorm.png", "ICON_RESOURCE_HOUSE")
mod:register({
    DataType = "RESOURCE",
    Id = "RESOURCE_HOUSING",
    ResourceName = "RESOURCE_HOUSING_NAME",
    Icon = "ICON_RESOURCE_HOUSE",
    ResourceTypeList = {
        "HOUSE_LEVEL_1",
        "HOUSE_LEVEL_2",
    },
    IsTradable = false,
    DisplayInInventory = false
})



-- Building: Empty Houses -------------------------------------------------------------------------------------
mod:register({
	DataType = "BUILDING", 
	Id = "BUILDING_EMPTY_HOUSE",
	Name = "BUILDING_EMPTY_HOUSE_NAME",
	Description = "BUILDING_EMPTY_HOUSE_DESC",
	BuildingType = "MONUMENT",
    AssetCoreBuildingPart = "BUILDING_PART_MONUMENT_POLE",
	BuildingPartSetList = {
		{
			Name = "BUILDING_SET_EMPTY_HOUSE_1_NAME",
			BuildingPartList = { 
				"BUILDING_PART_EMPTY_HOUSE_L1D1",
				"BUILDING_PART_EMPTY_HOUSE_L1D2",
			}
		},
		{
			Name = "BUILDING_SET_EMPTY_HOUSE_2_NAME",
			BuildingPartList = { 
				"BUILDING_PART_EMPTY_HOUSE_L2D1",
				"BUILDING_PART_EMPTY_HOUSE_L2D2",
			}
		},
		{
			Name = "BUILDING_SET_EMPTY_HOUSE_3_NAME",
			BuildingPartList = { 
				"BUILDING_PART_EMPTY_HOUSE_UNIVERSAL2",
				"BUILDING_PART_EMPTY_HOUSE_LEVEL1_CAPACITY2",
				"BUILDING_PART_EMPTY_HOUSE_LEVEL2_CAPACITY2",
				"BUILDING_PART_EMPTY_HOUSE_UNIVERSAL4",
				"BUILDING_PART_EMPTY_HOUSE_LEVEL1_CAPACITY4",
				"BUILDING_PART_EMPTY_HOUSE_LEVEL2_CAPACITY4",
				"BUILDING_PART_EMPTY_HOUSE_UNIVERSAL6",
				"BUILDING_PART_EMPTY_HOUSE_LEVEL1_CAPACITY6",
				"BUILDING_PART_EMPTY_HOUSE_LEVEL2_CAPACITY6",
			}
		},
    },
	IsEditable = true
})



-- Building Part: L1D1 -------------------------------------------------------------------------------------------
mod:register({
	DataType = "BUILDING_PART",
	Id = "BUILDING_PART_EMPTY_HOUSE_L1D1",
    Name = "BUILDING_PART_HOUSING_SERF_DENSITY_1_NAME",
    Description = "BUILDING_PART_EMPTY_HOUSE_LEVEL1_DESC",
	Capacity = 2,
    AssetBuildingFunction = "BUILDING_FUNCTION_EMPTY_HOUSE_L1D1",
    IsMovableWhenBuilt = true,
    ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_RANDOM_PART",
		RandomPartList = {
            "BUILDING_PART_HOUSING_SERF_DENSITY_1"
        }
	},
	Cost = {
		UpkeepCost = {
		},
		RessourcesNeeded = {
			{ Resource = "WOOD", Quantity = 10 }
		}
	},
})

-- Building Part: L1D2 -------------------------------------------------------------------------------------------
mod:register({
	DataType = "BUILDING_PART",
	Id = "BUILDING_PART_EMPTY_HOUSE_L1D2",
    Name = "BUILDING_PART_HOUSING_SERF_DENSITY_2_NAME",
    Description = "BUILDING_PART_EMPTY_HOUSE_LEVEL1_DESC",
	Capacity = 6,
    AssetBuildingFunction = "BUILDING_FUNCTION_EMPTY_HOUSE_L1D2",
    IsMovableWhenBuilt = true,
    ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_RANDOM_PART",
		RandomPartList = {
            "BUILDING_PART_HOUSING_SERF_DENSITY_2"
        }
	},
	Cost = {
		UpkeepCost = {
		},
		RessourcesNeeded = {
			{ Resource = "WOOD", Quantity = 20 }
		}
	},
})

-- Building Part: L2D1 -------------------------------------------------------------------------------------------
mod:register({
	DataType = "BUILDING_PART",
	Id = "BUILDING_PART_EMPTY_HOUSE_L2D1",
    Name = "BUILDING_PART_HOUSING_CITIZEN_DENSITY_1_NAME",
    Description = "BUILDING_PART_EMPTY_HOUSE_LEVEL2_DESC",
	Capacity = 2,
    AssetBuildingFunction = "BUILDING_FUNCTION_EMPTY_HOUSE_L2D1",
    IsMovableWhenBuilt = true,
    ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_RANDOM_PART",
		RandomPartList = {
            "BUILDING_PART_HOUSING_CITIZEN_DENSITY_1"
        }
	},
	Cost = {
		UpkeepCost = {
		},
		RessourcesNeeded = {
			{ Resource = "STONE", Quantity = 5 },
			{ Resource = "WOOD", Quantity = 5 },
			{ Resource = "PLANK", Quantity = 10 },
		}
	},
})

-- Building Part: L2D2 -------------------------------------------------------------------------------------------
mod:register({
	DataType = "BUILDING_PART",
	Id = "BUILDING_PART_EMPTY_HOUSE_L2D2",
    Name = "BUILDING_PART_HOUSING_CITIZEN_DENSITY_2_NAME",
    Description = "BUILDING_PART_EMPTY_HOUSE_LEVEL2_DESC",
	Capacity = 6,
    AssetBuildingFunction = "BUILDING_FUNCTION_EMPTY_HOUSE_L2D2",
    IsMovableWhenBuilt = true,
    ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_RANDOM_PART",
		RandomPartList = {
            "BUILDING_PART_HOUSING_CITIZEN_DENSITY_2"
        }
	},
	Cost = {
		UpkeepCost = {
		},
		RessourcesNeeded = {
			{ Resource = "STONE", Quantity = 10 },
			{ Resource = "WOOD", Quantity = 10 },
			{ Resource = "PLANK", Quantity = 20 },
		}
	},
})

-- Building Part: Level 1 Capacity 2 Housing Block -------------------------------------------------------------------------------------------
mod:register({
	DataType = "BUILDING_PART",
	Id = "BUILDING_PART_EMPTY_HOUSE_LEVEL1_CAPACITY2",
    Name = "BUILDING_PART_EMPTY_HOUSE_LEVEL1_NAME",
    Description = "BUILDING_PART_EMPTY_HOUSE_LEVEL1_DESC",
	Capacity = 2,
    AssetBuildingFunction = "BUILDING_FUNCTION_EMPTY_HOUSE_LEVEL1_CAPACITY2",
    IsMovableWhenBuilt = true,
    ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
        CoreObjectPrefab = "PREFAB_EMPTY_HOUSE_LEVEL1"
	},
	Cost = {
	},
})


-- Building Part: Level 1 Capacity 4 Housing Block -------------------------------------------------------------------------------------------
mod:register({
	DataType = "BUILDING_PART",
	Id = "BUILDING_PART_EMPTY_HOUSE_LEVEL1_CAPACITY4",
    Name = "BUILDING_PART_EMPTY_HOUSE_LEVEL1_NAME",
    Description = "BUILDING_PART_EMPTY_HOUSE_LEVEL1_DESC",
	Capacity = 4,
    AssetBuildingFunction = "BUILDING_FUNCTION_EMPTY_HOUSE_LEVEL1_CAPACITY4",
    IsMovableWhenBuilt = true,
    ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
        CoreObjectPrefab = "PREFAB_EMPTY_HOUSE_LEVEL1"
	},
	Cost = {
	},
})


-- Building Part: Level 1 Capacity 6 Housing Block -------------------------------------------------------------------------------------------
mod:register({
	DataType = "BUILDING_PART",
	Id = "BUILDING_PART_EMPTY_HOUSE_LEVEL1_CAPACITY6",
    Name = "BUILDING_PART_EMPTY_HOUSE_LEVEL1_NAME",
    Description = "BUILDING_PART_EMPTY_HOUSE_LEVEL1_DESC",
	Capacity = 6,
    AssetBuildingFunction = "BUILDING_FUNCTION_EMPTY_HOUSE_LEVEL1_CAPACITY6",
    IsMovableWhenBuilt = true,
    ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
        CoreObjectPrefab = "PREFAB_EMPTY_HOUSE_LEVEL1"
	},
	Cost = {
	},
})

-- Building Part: Level 2 Capacity 2 Housing Block -------------------------------------------------------------------------------------------
mod:register({
	DataType = "BUILDING_PART",
	Id = "BUILDING_PART_EMPTY_HOUSE_LEVEL2_CAPACITY2",
    Name = "BUILDING_PART_EMPTY_HOUSE_LEVEL2_NAME",
    Description = "BUILDING_PART_EMPTY_HOUSE_LEVEL2_DESC",
	Capacity = 2,
    AssetBuildingFunction = "BUILDING_FUNCTION_EMPTY_HOUSE_LEVEL2_CAPACITY2",
    IsMovableWhenBuilt = true,
    ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
        CoreObjectPrefab = "PREFAB_EMPTY_HOUSE_LEVEL2"
	},
	Cost = {
	},
})

-- Building Part: Level 2 Capacity 4 Housing Block -------------------------------------------------------------------------------------------
mod:register({
	DataType = "BUILDING_PART",
	Id = "BUILDING_PART_EMPTY_HOUSE_LEVEL2_CAPACITY4",
    Name = "BUILDING_PART_EMPTY_HOUSE_LEVEL2_NAME",
    Description = "BUILDING_PART_EMPTY_HOUSE_LEVEL2_DESC",
	Capacity = 4,
    AssetBuildingFunction = "BUILDING_FUNCTION_EMPTY_HOUSE_LEVEL2_CAPACITY4",
    IsMovableWhenBuilt = true,
    ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
        CoreObjectPrefab = "PREFAB_EMPTY_HOUSE_LEVEL2"
	},
	Cost = {
	},
})

-- Building Part: Level 2 Capacity 6 Housing Block -------------------------------------------------------------------------------------------
mod:register({
	DataType = "BUILDING_PART",
	Id = "BUILDING_PART_EMPTY_HOUSE_LEVEL2_CAPACITY6",
    Name = "BUILDING_PART_EMPTY_HOUSE_LEVEL2_NAME",
    Description = "BUILDING_PART_EMPTY_HOUSE_LEVEL2_DESC",
	Capacity = 6,
    AssetBuildingFunction = "BUILDING_FUNCTION_EMPTY_HOUSE_LEVEL2_CAPACITY6",
    IsMovableWhenBuilt = true,
    ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
        CoreObjectPrefab = "PREFAB_EMPTY_HOUSE_LEVEL2"
	},
	Cost = {
	},
})

-- Building Part: Universal 2 -------------------------------------------------------------------------------------------
mod:register({
	DataType = "BUILDING_PART",
	Id = "BUILDING_PART_EMPTY_HOUSE_UNIVERSAL2",
    Name = "BUILDING_PART_EMPTY_HOUSE_UNIVERSAL_NAME",
    Description = "BUILDING_PART_EMPTY_HOUSE_UNIVERSAL_DESC",
	Capacity = 2,
    AssetBuildingFunction = "BUILDING_FUNCTION_EMPTY_HOUSE_UNIVERSAL2",
    IsMovableWhenBuilt = true,
    ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
        CoreObjectPrefab = "PREFAB_EMPTY_HOUSE_UNIVERSAL"
	},
	Cost = {
	},
})

-- Building Part: Universal 4 -------------------------------------------------------------------------------------------
mod:register({
	DataType = "BUILDING_PART",
	Id = "BUILDING_PART_EMPTY_HOUSE_UNIVERSAL4",
    Name = "BUILDING_PART_EMPTY_HOUSE_UNIVERSAL_NAME",
    Description = "BUILDING_PART_EMPTY_HOUSE_UNIVERSAL_DESC",
	Capacity = 4,
    AssetBuildingFunction = "BUILDING_FUNCTION_EMPTY_HOUSE_UNIVERSAL4",
    IsMovableWhenBuilt = true,
    ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
        CoreObjectPrefab = "PREFAB_EMPTY_HOUSE_UNIVERSAL"
	},
	Cost = {
	},
})

-- Building Part: Universal 6 -------------------------------------------------------------------------------------------
mod:register({
	DataType = "BUILDING_PART",
	Id = "BUILDING_PART_EMPTY_HOUSE_UNIVERSAL6",
    Name = "BUILDING_PART_EMPTY_HOUSE_UNIVERSAL_NAME",
    Description = "BUILDING_PART_EMPTY_HOUSE_UNIVERSAL_DESC",
	Capacity = 6,
    AssetBuildingFunction = "BUILDING_FUNCTION_EMPTY_HOUSE_UNIVERSAL6",
    IsMovableWhenBuilt = true,
    ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
        CoreObjectPrefab = "PREFAB_EMPTY_HOUSE_UNIVERSAL"
	},
	Cost = {
	},
})



-- House Setup: L1D1 -------------------------------------------------------------------------------------------
mod:register({
    DataType = "HOUSE_SETUP",
    Id = "HOUSE_SETUP_EMPTY_HOUSE_L1D1",
    HouseStatusList = {
        {
            DataType = "HOUSE_STATUS",
            RequiredDesirability = DESIRABILITY_LEVEL.LOW,
            ResourceGenerated = "HOUSING_LEVEL_1",
            HouseDensityPartList = { 
                "BUILDING_PART_HOUSING_SERF_DENSITY_1",
            }
        },
    }
})

mod:register({
    DataType = "BUILDING_FUNCTION_HOUSE",
    Id = "BUILDING_FUNCTION_EMPTY_HOUSE_L1D1",
    RelatedZone = "RESIDENTIAL",
    RelatedDesirability = "DESIRABILITY_RESIDENTIAL",
    AssetHouseSetup = "HOUSE_SETUP_EMPTY_HOUSE_L1D1"
})

-- House Setup: L1D2 -------------------------------------------------------------------------------------------
mod:register({
    DataType = "HOUSE_SETUP",
    Id = "HOUSE_SETUP_EMPTY_HOUSE_L1D2",
    HouseStatusList = {
        {
            DataType = "HOUSE_STATUS",
            RequiredDesirability = DESIRABILITY_LEVEL.LOW,
            ResourceGenerated = "HOUSING_LEVEL_1",
            HouseDensityPartList = { 
                "BUILDING_PART_HOUSING_SERF_DENSITY_2",
            }
        },
    }
})

mod:register({
    DataType = "BUILDING_FUNCTION_HOUSE",
    Id = "BUILDING_FUNCTION_EMPTY_HOUSE_L1D2",
    RelatedZone = "RESIDENTIAL",
    RelatedDesirability = "DESIRABILITY_RESIDENTIAL",
    AssetHouseSetup = "HOUSE_SETUP_EMPTY_HOUSE_L1D2"
})

-- House Setup: L2D1 -------------------------------------------------------------------------------------------
mod:register({
    DataType = "HOUSE_SETUP",
    Id = "HOUSE_SETUP_EMPTY_HOUSE_L2D1",
    HouseStatusList = {
        {
            DataType = "HOUSE_STATUS",
            RequiredDesirability = DESIRABILITY_LEVEL.HIGH,
            ResourceGenerated = "HOUSING_LEVEL_2",
            HouseDensityPartList = { 
                "BUILDING_PART_HOUSING_CITIZEN_DENSITY_1",
            }
        },
    }
})

mod:register({
    DataType = "BUILDING_FUNCTION_HOUSE",
    Id = "BUILDING_FUNCTION_EMPTY_HOUSE_L2D1",
    RelatedZone = "RESIDENTIAL",
    RelatedDesirability = "DESIRABILITY_RESIDENTIAL",
    AssetHouseSetup = "HOUSE_SETUP_EMPTY_HOUSE_L2D1"
})

-- House Setup: L2D2 -------------------------------------------------------------------------------------------
mod:register({
    DataType = "HOUSE_SETUP",
    Id = "HOUSE_SETUP_EMPTY_HOUSE_L2D2",
    HouseStatusList = {
        {
            DataType = "HOUSE_STATUS",
            RequiredDesirability = DESIRABILITY_LEVEL.HIGH,
            ResourceGenerated = "HOUSING_LEVEL_2",
            HouseDensityPartList = { 
                "BUILDING_PART_HOUSING_CITIZEN_DENSITY_2",
            }
        },
    }
})

mod:register({
    DataType = "BUILDING_FUNCTION_HOUSE",
    Id = "BUILDING_FUNCTION_EMPTY_HOUSE_L2D2",
    RelatedZone = "RESIDENTIAL",
    RelatedDesirability = "DESIRABILITY_RESIDENTIAL",
    AssetHouseSetup = "HOUSE_SETUP_EMPTY_HOUSE_L2D2"
})

-- House Setup: Level 1 Capacity 2 -------------------------------------------------------------------------------------------
mod:register({
    DataType = "HOUSE_SETUP",
    Id = "HOUSE_SETUP_EMPTY_HOUSE_LEVEL1_CAPACITY2",
    HouseStatusList = {
        {
            DataType = "HOUSE_STATUS",
            RequiredDesirability = DESIRABILITY_LEVEL.LOW,
            ResourceGenerated = "HOUSING_LEVEL_1",
            HouseDensityPartList = { 
                "BUILDING_PART_EMPTY_HOUSE_LEVEL1_CAPACITY2",
            }
        },
    }
})

mod:register({
    DataType = "BUILDING_FUNCTION_HOUSE",
    Id = "BUILDING_FUNCTION_EMPTY_HOUSE_LEVEL1_CAPACITY2",
    RelatedZone = "RESIDENTIAL",
    RelatedDesirability = "DESIRABILITY_RESIDENTIAL",
    AssetHouseSetup = "HOUSE_SETUP_EMPTY_HOUSE_LEVEL1_CAPACITY2"
})

-- House Setup: Level 1 Capacity 4 -------------------------------------------------------------------------------------------
mod:register({
    DataType = "HOUSE_SETUP",
    Id = "HOUSE_SETUP_EMPTY_HOUSE_LEVEL1_CAPACITY4",
    HouseStatusList = {
        {
            DataType = "HOUSE_STATUS",
            RequiredDesirability = DESIRABILITY_LEVEL.LOW,
            ResourceGenerated = "HOUSING_LEVEL_1",
            HouseDensityPartList = { 
                "BUILDING_PART_EMPTY_HOUSE_LEVEL1_CAPACITY4",
            }
        },
    }
})

mod:register({
    DataType = "BUILDING_FUNCTION_HOUSE",
    Id = "BUILDING_FUNCTION_EMPTY_HOUSE_LEVEL1_CAPACITY4",
    RelatedZone = "RESIDENTIAL",
    RelatedDesirability = "DESIRABILITY_RESIDENTIAL",
    AssetHouseSetup = "HOUSE_SETUP_EMPTY_HOUSE_LEVEL1_CAPACITY4"
})

-- House Setup: Level 1 Capacity 6 -------------------------------------------------------------------------------------------
mod:register({
    DataType = "HOUSE_SETUP",
    Id = "HOUSE_SETUP_EMPTY_HOUSE_LEVEL1_CAPACITY6",
    HouseStatusList = {
        {
            DataType = "HOUSE_STATUS",
            RequiredDesirability = DESIRABILITY_LEVEL.LOW,
            ResourceGenerated = "HOUSING_LEVEL_1",
            HouseDensityPartList = { 
                "BUILDING_PART_EMPTY_HOUSE_LEVEL1_CAPACITY6",
            }
        },
    }
})

mod:register({
    DataType = "BUILDING_FUNCTION_HOUSE",
    Id = "BUILDING_FUNCTION_EMPTY_HOUSE_LEVEL1_CAPACITY6",
    RelatedZone = "RESIDENTIAL",
    RelatedDesirability = "DESIRABILITY_RESIDENTIAL",
    AssetHouseSetup = "HOUSE_SETUP_EMPTY_HOUSE_LEVEL1_CAPACITY6"
})

-- House Setup: Level 2 Capacity 2 -------------------------------------------------------------------------------------------
mod:register({
    DataType = "HOUSE_SETUP",
    Id = "HOUSE_SETUP_EMPTY_HOUSE_LEVEL2_CAPACITY2",
    HouseStatusList = {
        {
            DataType = "HOUSE_STATUS",
            RequiredDesirability = DESIRABILITY_LEVEL.HIGH,
            ResourceGenerated = "HOUSING_LEVEL_2",
            HouseDensityPartList = { 
                "BUILDING_PART_EMPTY_HOUSE_LEVEL2_CAPACITY2",
            }
        },
    }
})

mod:register({
    DataType = "BUILDING_FUNCTION_HOUSE",
    Id = "BUILDING_FUNCTION_EMPTY_HOUSE_LEVEL2_CAPACITY2",
    RelatedZone = "RESIDENTIAL",
    RelatedDesirability = "DESIRABILITY_RESIDENTIAL",
    AssetHouseSetup = "HOUSE_SETUP_EMPTY_HOUSE_LEVEL2_CAPACITY2"
})

-- House Setup: Level 2 Capacity 4 -------------------------------------------------------------------------------------------
mod:register({
    DataType = "HOUSE_SETUP",
    Id = "HOUSE_SETUP_EMPTY_HOUSE_LEVEL2_CAPACITY4",
    HouseStatusList = {
        {
            DataType = "HOUSE_STATUS",
            RequiredDesirability = DESIRABILITY_LEVEL.HIGH,
            ResourceGenerated = "HOUSING_LEVEL_2",
            HouseDensityPartList = { 
                "BUILDING_PART_EMPTY_HOUSE_LEVEL2_CAPACITY4",
            }
        },
    }
})

mod:register({
    DataType = "BUILDING_FUNCTION_HOUSE",
    Id = "BUILDING_FUNCTION_EMPTY_HOUSE_LEVEL2_CAPACITY4",
    RelatedZone = "RESIDENTIAL",
    RelatedDesirability = "DESIRABILITY_RESIDENTIAL",
    AssetHouseSetup = "HOUSE_SETUP_EMPTY_HOUSE_LEVEL2_CAPACITY4"
})

-- House Setup: Level 2 Capacity 6 -------------------------------------------------------------------------------------------
mod:register({
    DataType = "HOUSE_SETUP",
    Id = "HOUSE_SETUP_EMPTY_HOUSE_LEVEL2_CAPACITY6",
    HouseStatusList = {
        {
            DataType = "HOUSE_STATUS",
            RequiredDesirability = DESIRABILITY_LEVEL.HIGH,
            ResourceGenerated = "HOUSING_LEVEL_2",
            HouseDensityPartList = { 
                "BUILDING_PART_EMPTY_HOUSE_LEVEL2_CAPACITY6",
            }
        },
    }
})

mod:register({
    DataType = "BUILDING_FUNCTION_HOUSE",
    Id = "BUILDING_FUNCTION_EMPTY_HOUSE_LEVEL2_CAPACITY6",
    RelatedZone = "RESIDENTIAL",
    RelatedDesirability = "DESIRABILITY_RESIDENTIAL",
    AssetHouseSetup = "HOUSE_SETUP_EMPTY_HOUSE_LEVEL2_CAPACITY6"
})

-- House Setup: Universal 2 -------------------------------------------------------------------------------------------
mod:register({
    DataType = "HOUSE_SETUP",
    Id = "HOUSE_SETUP_EMPTY_HOUSE_UNIVERSAL2",
    HouseStatusList = {
        {
            DataType = "HOUSE_STATUS",
            RequiredDesirability = DESIRABILITY_LEVEL.LOW,
            ResourceGenerated = "RESOURCE_HOUSING",
            HouseDensityPartList = { 
                "BUILDING_PART_EMPTY_HOUSE_UNIVERSAL2",
            }
        },
    }
})

mod:register({
    DataType = "BUILDING_FUNCTION_HOUSE",
    Id = "BUILDING_FUNCTION_EMPTY_HOUSE_UNIVERSAL2",
    RelatedZone = "RESIDENTIAL",
    RelatedDesirability = "DESIRABILITY_RESIDENTIAL",
    AssetHouseSetup = "HOUSE_SETUP_EMPTY_HOUSE_UNIVERSAL2"
})

-- House Setup: Universal 4 -------------------------------------------------------------------------------------------
mod:register({
    DataType = "HOUSE_SETUP",
    Id = "HOUSE_SETUP_EMPTY_HOUSE_UNIVERSAL4",
    HouseStatusList = {
        {
            DataType = "HOUSE_STATUS",
            RequiredDesirability = DESIRABILITY_LEVEL.LOW,
            ResourceGenerated = "RESOURCE_HOUSING",
            HouseDensityPartList = { 
                "BUILDING_PART_EMPTY_HOUSE_UNIVERSAL4",
            }
        },
    }
})

mod:register({
    DataType = "BUILDING_FUNCTION_HOUSE",
    Id = "BUILDING_FUNCTION_EMPTY_HOUSE_UNIVERSAL4",
    RelatedZone = "RESIDENTIAL",
    RelatedDesirability = "DESIRABILITY_RESIDENTIAL",
    AssetHouseSetup = "HOUSE_SETUP_EMPTY_HOUSE_UNIVERSAL4"
})

-- House Setup: Universal 6 -------------------------------------------------------------------------------------------
mod:register({
    DataType = "HOUSE_SETUP",
    Id = "HOUSE_SETUP_EMPTY_HOUSE_UNIVERSAL6",
    HouseStatusList = {
        {
            DataType = "HOUSE_STATUS",
            RequiredDesirability = DESIRABILITY_LEVEL.LOW,
            ResourceGenerated = "RESOURCE_HOUSING",
            HouseDensityPartList = { 
                "BUILDING_PART_EMPTY_HOUSE_UNIVERSAL6",
            }
        },
    }
})

mod:register({
    DataType = "BUILDING_FUNCTION_HOUSE",
    Id = "BUILDING_FUNCTION_EMPTY_HOUSE_UNIVERSAL6",
    RelatedZone = "RESIDENTIAL",
    RelatedDesirability = "DESIRABILITY_RESIDENTIAL",
    AssetHouseSetup = "HOUSE_SETUP_EMPTY_HOUSE_UNIVERSAL6"
})
